## python-pylatexenc 2.10

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pylatexenc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pylatexenc (2.10-2) unstable; urgency=medium

  * Source-only upload.
  * Control: mark doc package Multi-Arch: foreign.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 23 Sep 2021 09:42:20 +0000

python-pylatexenc (2.10-1) unstable; urgency=medium

  * Initial release (Closes: #950664)

 -- Diego M. Rodriguez <diego@moreda.io>  Tue, 31 Aug 2021 16:00:47 +0000

=== debian/control ===
Source: python-pylatexenc
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               help2man,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pylatexenc
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pylatexenc.git
Homepage: https://github.com/phfaist/pylatexenc
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-pylatexenc-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Simple LaTeX parser providing conversion to/from unicode (Documentation)
 Provides a "unicode_to_latex()" function which converts a unicode
 string into LaTeX text and escape sequences, and a module with a
 series of routines that parse the LaTeX structure of given LaTeX code
 and return a logical structure of objects suitable for converting
 into another format such as plain text. The functionality is
 also exposed via command-line scripts (latexencode, latex2text,
 latexwalker).
 .
 This package contains the documentation.

Package: python3-pylatexenc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Simple LaTeX parser providing conversion to/from unicode
 Provides a "unicode_to_latex()" function which converts a unicode
 string into LaTeX text and escape sequences, and a module with a
 series of routines that parse the LaTeX structure of given LaTeX code
 and return a logical structure of objects suitable for converting
 into another format such as plain text. The functionality is
 also exposed via command-line scripts (latexencode, latex2text,
 latexwalker).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pylatexenc
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html -N doc/ $(CURDIR)/debian/python-pylatexenc-doc/usr/share/doc/python-pylatexenc-doc/html
	dh_sphinxdoc
endif

# Target for regenerating the manpages.
# This target is intended to be executed manually, and requires
# `help2man` to be installed.
help2man:
	for script in latex2text latexencode latexwalker; do \
	help2man --no-info \
		--name="part of pylatexenc: simple LaTeX parser provider conversion to/from unicode" \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		-o debian/$${script}.1 \
		--no-discard-stderr \
        --include debian/python3-pylatexenc.manpages.include \
        $${script}; \
	done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pylatexenc-$1.tar.gz%" \
https://github.com/phfaist/pylatexenc/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
